Bug 15716 - Netscape Composer invocation from command line should be improved
Netscape Composer invocation from command line should be improved
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-08 08:33 EDT by Rabbe Fogelholm
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 08:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rabbe Fogelholm 2000-08-08 08:33:13 EDT
Invoking Netscape Communicator from the command line is
usually done by the script /usr/bin/netscape. This script
does not do "the right thing" in the following case:

    /usr/bin/netscape +composer SomeFileURL

The "right thing" IMHO would be to open a Composer window on
the specified file (starting up Communicator unless there
isn't one running already).

What curently happens is that you get a Navigator window
onto the specifed file. I have tested this for Communicator
versions 4.73 and 4.74.

BTW, the simpler case where you provide the +composer
option but no file URL is handled properly--the Composer
is then opened.

I have found out how to hack the /usr/bin/netscape script so
as to handle the composer-with-file-URL. The maintainer of
the script ought to review this and perhaps come up with a
more general solution.

Here is the output of
diff -e netscape netscape-myProvisionalFix (executed in
/usr/bin, assuming NC 4.74 installed).

---------------- cut
85a
elif [ "$b_opt" = openEditor ]; then
exec $netscape $defs $cl_opt "$@"
.
76a
elif [ "$b_opt" = openEditor ]; then
$netscape $defsrem "xfeDoCommand($b_opt,$url)" 2>/dev/null || \
{ killstale && exec $netscape $defs $cl_opt "$@" ; }
.
---------------- cut
Comment 1 Bill Nottingham 2001-01-19 17:38:20 EST
Will be changed in netscape-4.76-5.

Note You need to log in before you can comment on or make changes to this bug.